;------------- version without plots ------------------ last update: 2016-04-24

__includes[ "Source code/zaklad.nls" "Source code/vytvoreniSveta.nls" "Source code/prostredi.nls"
  "Source code/agenti.nls" "Source code/fcm.nls" "Source code/jenfcm.nls" "Source code/ahp.nls" "Source code/akce.nls" "Source code/senzory.nls"
  "Source code/evoluce.nls" "Source code/druhy.nls"
  "Source code/statistiky.nls" "Source code/soubory.nls" "Source code/nastroje.nls" "Source code/scenare.nls" ]

globals
[
  observed-period ;jen pro definování, protože ve verzi bez grafu neexistuje proměnná v rozhraní
  plots-auto-export+reset
  observe
  id-vypis
]
@#$#@#$#@
GRAPHICS-WINDOW
343
12
1196
530
-1
-1
5.25
1
10
1
1
1
0
1
1
1
0
160
0
96
0
0
1
ticks
30.0

BUTTON
1372
163
1488
196
Create world
nastav
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

INPUTBOX
194
138
317
198
seed-input
123.0
1
0
Number

MONITOR
194
114
317
159
Used
seed
17
1
11

SLIDER
1372
266
1488
299
water
water
0
1
0.3
0.05
1
NIL
HORIZONTAL

SLIDER
1372
231
1488
264
erosion
erosion
1
20
15.0
1
1
NIL
HORIZONTAL

SLIDER
1372
198
1488
231
height-difference
height-difference
-1
2
1.4
0.1
1
NIL
HORIZONTAL

SLIDER
1372
299
1488
332
water-level
water-level
0
9
4.0
0.25
1
NIL
HORIZONTAL

BUTTON
194
198
317
231
Use and create world
restart
NIL
1
T
OBSERVER
NIL
R
NIL
NIL
1

TEXTBOX
196
100
292
128
Random seed
11
0.0
1

TEXTBOX
1373
148
1446
166
World creation
11
0.0
1

SLIDER
1372
332
1488
365
deserts
deserts
0
1
0.4
0.05
1
NIL
HORIZONTAL

SLIDER
1372
365
1488
398
forests
forests
0
1
0.5
0.05
1
NIL
HORIZONTAL

SLIDER
14
56
179
89
groups
groups
1
200
70.0
1
1
NIL
HORIZONTAL

BUTTON
14
24
179
57
Create individuals
ifelse jeSvetVygenerovany\n[ nastavAgenty ]\n[ user-message \"Create a world before using this!\" ]
NIL
1
T
OBSERVER
NIL
V
NIL
NIL
1

BUTTON
194
295
317
328
Step
ifelse jeSvetVygenerovany\n[ spustit ]\n[ user-message \"Create a world before using this!\" ]
NIL
1
T
OBSERVER
NIL
S
NIL
NIL
1

BUTTON
194
253
317
297
Run
ifelse jeSvetVygenerovany\n[ spustit ]\n[ user-message \"Create a world before using this!\" stop]
T
1
T
OBSERVER
NIL
W
NIL
NIL
1

PLOT
17
640
331
796
Species - numbers
species id
individuals
0.0
10.0
0.0
10.0
true
false
"" "ifelse ticks mod round (10 / granularity) != 0 or stats-level = 0\n[\nstop\n]\n[\nif any? zvirata with [ zije ]\n[ \nset-plot-x-range (min [ druh ] of zvirata with [ zije ]) (1 + max [ druh ] of zvirata with [ zije ]) \nset-plot-y-range 0 1\n]\n;[ stop ]\n]"
PENS
"histogram" 1.0 1 -16777216 true "" "histogram [ druh ] of zvirata with [ zije ]"

SWITCH
1372
498
1493
531
use-ahp
use-ahp
1
1
-1000

SWITCH
1372
465
1493
498
FCM-necessity
FCM-necessity
0
1
-1000

TEXTBOX
1321
449
1457
467
Behavior settings
12
0.0
1

SLIDER
1372
397
1488
430
scale
scale
0.5
4
2.5
0.5
1
NIL
HORIZONTAL

SLIDER
1372
531
1493
564
granularity
granularity
0.01
1.0
0.3
0.01
1
NIL
HORIZONTAL

TEXTBOX
699
686
849
704
Observation of an individual
11
0.0
1

BUTTON
767
703
838
764
Find
ifelse (zvire id-observed) != nobody\n[\nwatch (zvire id-observed)\n]\n[\nuser-message word (word \"Individual \" id-observed) \" does not exists!\"\n]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
767
763
838
796
Cancel
reset-perspective
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
838
703
909
764
Info
ifelse (zvire id-observed) != nobody\n[\ninspect (zvire id-observed)\n]\n[\nuser-message word (word \"Individual \" id-observed) \" does not exists!\"\n]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

MONITOR
134
369
184
406
Alive
zivych
17
1
9

MONITOR
134
441
184
478
Dead
bylozravcuMrtvychNedostatkem +\nmasozravcuMrtvychNedostatkem +\nvsezravcuMrtvychNedostatkem +\nbylozravcuUlovenych +\nmasozravcuUlovenych +\nvsezravcuUlovenych +\nbylozravcuStarim +\nmasozravcuStarim +\nvsezravcuStarim
17
1
9

MONITOR
134
477
184
514
Shortage
bylozravcuMrtvychNedostatkem +\nmasozravcuMrtvychNedostatkem +\nvsezravcuMrtvychNedostatkem
17
1
9

MONITOR
134
513
184
550
Hunt
bylozravcuUlovenych +\nmasozravcuUlovenych +\nvsezravcuUlovenych
17
1
9

MONITOR
183
369
233
406
Herbivores
bylozravcu
17
1
9

MONITOR
232
369
282
406
Carnivores
masozravcu
17
1
9

MONITOR
281
369
331
406
Omnivores
vsezravcu
17
1
9

MONITOR
183
477
233
514
-
bylozravcuMrtvychNedostatkem
17
1
9

MONITOR
183
513
233
550
-
bylozravcuUlovenych
17
1
9

MONITOR
232
513
282
550
-
masozravcuUlovenych
17
1
9

MONITOR
281
513
331
550
-
vsezravcuUlovenych
17
1
9

MONITOR
232
477
282
514
-
masozravcuMrtvychNedostatkem
17
1
9

MONITOR
183
441
233
478
-
bylozravcuMrtvychNedostatkem +\nbylozravcuUlovenych + \nbylozravcuStarim
17
1
9

MONITOR
232
441
282
478
-
masozravcuMrtvychNedostatkem +\nmasozravcuUlovenych +\nmasozravcuStarim
17
1
9

MONITOR
281
441
331
478
-
vsezravcuMrtvychNedostatkem +\nvsezravcuUlovenych +\nvsezravcuStarim
17
1
9

MONITOR
281
477
331
514
-
vsezravcuMrtvychNedostatkem
17
1
9

MONITOR
98
584
184
629
Average fitness
prumerneHodnoceni
3
1
11

MONITOR
183
584
233
629
Herb.
prumerneHodnoceniBylozravcu
3
1
11

MONITOR
232
584
282
629
Carni.
prumerneHodnoceniMasozravcu
3
1
11

MONITOR
281
584
331
629
Omni.
prumerneHodnoceniVsezravcu
3
1
11

BUTTON
838
763
909
796
Path
clear-drawing\nifelse (zvire id-observed) != nobody\n[\nprepniTrasu (zvire id-observed)\n]\n[\nuser-message word (word \"Individual \" id-observed) \" does not exists!\"\n]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
14
403
106
436
Reset
ifelse jeSvetVygenerovany\n[ nastav-promenne-statistik\naktualizujStatistiky ]\n[ user-message \"Create a world before using this!\" ]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
1214
61
1355
94
vegetation-regeneration
vegetation-regeneration
0
2
1.2
0.1
1
NIL
HORIZONTAL

TEXTBOX
1215
43
1365
61
Environment
11
0.0
1

MONITOR
134
406
184
443
Born
bylozravcuNarozenych +\n  masozravcuNarozenych +\n  vsezravcuNarozenych
17
1
9

MONITOR
183
406
233
443
-
bylozravcuNarozenych
17
1
9

MONITOR
232
406
282
443
-
masozravcuNarozenych
17
1
9

MONITOR
281
406
331
443
-
vsezravcuNarozenych
17
1
9

SLIDER
14
371
106
404
stats-level
stats-level
0
3
1.0
1
1
NIL
HORIZONTAL

SWITCH
194
26
317
59
track-performance
track-performance
0
1
-1000

MONITOR
194
58
317
95
Performance
vykon
3
1
9

TEXTBOX
198
10
312
38
Performance (ticks/s)
11
0.0
1

PLOT
345
701
548
851
Correlation
fitness/health/age
offspring
0.0
1.0
0.0
10.0
true
false
"" ""
PENS
"pen" 1.0 2 -16514302 true "" ""

BUTTON
547
701
674
743
Total offspring / Fitness
ifelse jeSvetVygenerovany\n[ korelaceHodnoceniPotomci ]\n[ user-message \"Create a world before using this!\" ]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
13
250
75
297
Save
ifelse jeSvetVygenerovany\n[ ulozSvet ]\n[ user-message \"Create a world before using this!\" ]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
13
297
75
342
Load
nactiSvet
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

INPUTBOX
696
703
767
763
id-observed
22939.0
1
0
Number

INPUTBOX
74
250
169
310
file-name
world2vyvojFCM
1
0
String

TEXTBOX
13
234
102
252
Save/Load world
11
0.0
1

TEXTBOX
345
686
553
704
Correlation plot
11
0.0
1

BUTTON
547
773
674
813
Birth / Health
ifelse jeSvetVygenerovany\n[ korelaceZdraviNarozeni ]\n[ user-message \"Create a world before using this!\" ]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
547
812
674
851
Birth / Age
ifelse jeSvetVygenerovany\n[ korelaceVekNarozeni ]\n[ user-message \"Create a world before using this!\" ]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
990
614
1113
647
Apply view
ifelse jeSvetVygenerovany\n[ obarviVyskyt ]\n[ user-message \"Create a world before using this!\" ]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

TEXTBOX
1215
215
1334
233
Evolution
11
0.0
1

SLIDER
1214
261
1355
294
mutation
mutation
0
0.5
0.3
0.05
1
NIL
HORIZONTAL

BUTTON
696
763
768
796
Behavior
clear-drawing\nifelse (zvire id-observed) != nobody\n[\nvypisChovani (id-observed)\n]\n[\nuser-message word (word \"Individual \" id-observed) \" does not exists!\"\n]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
14
158
130
191
carnivores-ratio
carnivores-ratio
0
1
0.05
0.05
1
NIL
HORIZONTAL

SLIDER
14
126
130
159
herbivores-ratio
herbivores-ratio
0
1
0.85
0.05
1
NIL
HORIZONTAL

SLIDER
14
191
130
224
omnivores-ratio
omnivores-ratio
0
1
0.1
0.05
1
NIL
HORIZONTAL

MONITOR
129
158
179
191
% carnivores
100 * carnivores-ratio / (carnivores-ratio + herbivores-ratio + omnivores-ratio)
2
1
8

MONITOR
129
126
179
159
% herbivores
100 * herbivores-ratio / (carnivores-ratio + herbivores-ratio + omnivores-ratio)
2
1
8

MONITOR
129
191
179
224
% omnivores
100 * omnivores-ratio / (carnivores-ratio + herbivores-ratio + omnivores-ratio)
2
1
8

MONITOR
183
549
233
586
-
bylozravcuStarim
17
1
9

MONITOR
232
549
282
586
-
masozravcuStarim
17
1
9

MONITOR
281
549
331
586
-
vsezravcuStarim
17
1
9

MONITOR
134
549
184
586
Old age
bylozravcuStarim +\nmasozravcuStarim +\nvsezravcuStarim
17
1
9

PLOT
345
557
682
678
Generations
generation
individuals
0.0
10.0
0.0
10.0
true
false
"" "ifelse ticks mod round (10 / granularity) != 0 or stats-level = 0\n[\nstop\n]\n[\nifelse any? zvirata with [ zije ]\n[ \nset-plot-x-range (min [ generace ] of zvirata with [ zije ]) (1 + max [ generace ] of zvirata with [ zije ]) \nset-plot-y-range 0 1\n]\n[ stop ]\n]"
PENS
"default" 1.0 1 -16777216 true "" "histogram [ generace ] of zvirata with [ zije ]"

TEXTBOX
20
10
170
28
Creating of individuals
11
0.0
1

TEXTBOX
15
357
165
375
Statistics
11
0.0
1

TEXTBOX
196
239
257
257
Run
11
0.0
1

BUTTON
698
603
817
636
Remove individuals
ifelse jeSvetVygenerovany\n[ nastrojOdstran ]\n[ user-message \"Create a world before using this!\" stop]
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
1214
622
1355
655
population-limit
population-limit
200
5000
1000.0
200
1
NIL
HORIZONTAL

SWITCH
1214
590
1355
623
population-control
population-control
0
1
-1000

TEXTBOX
1218
575
1340
603
Population control
11
0.0
1

SWITCH
1214
655
1355
688
decrease-only
decrease-only
0
1
-1000

SLIDER
1214
688
1355
721
lifespan
lifespan
0
2
1.0
0.1
1
NIL
HORIZONTAL

BUTTON
698
571
817
604
Snapshot
udelejSnimek
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
1214
94
1355
127
decay
decay
0
1
0.3
0.1
1
NIL
HORIZONTAL

SLIDER
1214
127
1355
160
meat-amount
meat-amount
1
50
25.0
1
1
NIL
HORIZONTAL

SLIDER
1214
160
1355
193
vegetation-amount
vegetation-amount
1
50
20.0
1
1
NIL
HORIZONTAL

SWITCH
1214
229
1355
262
behavior-adaptation
behavior-adaptation
0
1
-1000

TEXTBOX
1214
10
1331
40
Changeable during model run:
12
52.0
1

TEXTBOX
1369
10
1493
40
Unchangeable during model run:
12
12.0
1

SLIDER
1214
327
1355
360
carnivore-advantage
carnivore-advantage
-0.5
1
0.2
0.05
1
NIL
HORIZONTAL

SWITCH
1214
294
1355
327
genome-balance
genome-balance
0
1
-1000

SLIDER
1214
365
1355
398
species-borders
species-borders
0.05
0.5
0.25
0.01
1
NIL
HORIZONTAL

SWITCH
547
741
674
774
record-birth-data
record-birth-data
0
1
-1000

SWITCH
74
309
169
342
auto-save
auto-save
0
1
-1000

BUTTON
17
795
177
828
Export species data
ifelse jeSvetVygenerovany\n[ exportujDruhy ]\n[ user-message \"Create a world before using this!\" ]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
1214
465
1355
498
repro-need-growth
repro-need-growth
0
10
1.0
0.2
1
NIL
HORIZONTAL

SLIDER
1214
497
1355
530
hunger-growth-herbivore
hunger-growth-herbivore
0
10
1.0
0.2
1
NIL
HORIZONTAL

SLIDER
1214
529
1355
562
hunger-growth-carnivore
hunger-growth-carnivore
0
10
0.4
0.2
1
NIL
HORIZONTAL

SWITCH
1214
397
1355
430
changeable-species-relations
changeable-species-relations
1
1
-1000

MONITOR
14
453
71
498
Meat
maso
0
1
11

MONITOR
70
453
129
498
Vegetation
vegetace
0
1
11

TEXTBOX
14
439
121
457
Resources:
11
0.0
1

SWITCH
990
646
1113
679
record-presence
record-presence
0
1
-1000

BUTTON
698
635
817
668
Restore vegetation
ifelse jeSvetVygenerovany\n[ nastrojVegetace ]\n[ user-message \"Create a world before using this!\" stop]
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
816
571
935
604
tool-range
tool-range
1
20
12.0
1
1
NIL
HORIZONTAL

BUTTON
816
603
935
636
Edit terrain
ifelse jeSvetVygenerovany\n[ nastrojUpravTeren ]\n[ user-message \"Create a world before using this!\" stop]
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

TEXTBOX
1371
43
1491
61
Preset scenarios
11
0.0
1

CHOOSER
1371
60
1488
105
scenarios
scenarios
"Default settings" "Slow evolution" "Default evolution" "Fast evolution" "No evolution" "Herbivore advantage" "Herbivore-Carnivore balance" "Carnivore advantage" "Big map" "Medium map" "Small map"
0

BUTTON
1371
105
1488
138
Apply settings
aplikovatScenar
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

CHOOSER
990
570
1113
615
map-view
map-view
"Normal view" "Presence view"
1

TEXTBOX
700
556
752
574
Tools
11
0.0
1

TEXTBOX
992
555
1093
573
Map view
11
0.0
1

SWITCH
14
88
179
121
only-1-species
only-1-species
1
1
-1000

BUTTON
695
813
839
846
Print behavior model
vypisPrumerneChovani
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SWITCH
177
795
331
828
print-species-creation
print-species-creation
0
1
-1000

@#$#@#$#@
## Artificial Life Model

Artificial life model (ALModel) is an ecosystem simulation with autonomous agents (individuals) in a dynamic environment. Like any other artificial life model, it allows exploring real natural phenomena, emergence, and evolution within hours of runtime. It is edifying to study emergent processes through the observation of evolving intelligent agents. Natural selection reveals the main directions of evolution and specialization of various species after several generations of agents in the simulation. This model was also developed for testing of artificial intelligence (AI) of individuals. Currently, two AI models are included: a single large Fuzzy cognitive map (FCM) and an FCM combined with Analytic hierarchy process (AHP).

### How to use it

#### Create world
To start the simulation, you have to create an environment first. Click on 'Create world' on the right (new random seed), or click 'Use and create world' od the left to use seed in the textbox (action key 'R'). You can change settings in the section 'World creation' before the creation (same applies to all settings in the second column on the right - it can be changed only before you generate a world).

If you are not satisfied with a random environment, you can always (even during a model run) use tool 'Edit terrain'. After activation, you click and drag cursor on the map. The height of the patch where you start holding mouse button is stored. Then, you can transfer that height to other patches with cursor (depending on 'tool-range'). For example, to connect 2 islands, start on one of them and draw 'land' to the other. To create an island, start in water and drag cursor around a land you want to isolate.

#### Settings
If you are not sure about settings, use 'Preset scenarios' in the top right corner. Just pick a scenario you want to apply and click on 'Apply settings'. It will change some settings to adjust the simulation in a preferred way. You can combine more scenarios (if they are not contradictory) like 'Big map' and 'Fast evolution' etc. Note that after using a scenario, you will most likely need to recreate a world to apply changes.

#### Individuals
After world creation, you should add individuals into the environment. Before doing this, set number of groups (1 group = about 10 individuals) and the ratio of initial types of species (carnivores, herbivores, omnivores). If you want to watch evolution of a single species in the environment, use switch 'only-1-species'. After some time, it can create a herbivore branch and a carnivore branch; therefore, it may develop a standard predator-prey ecosystem anyway.

To generate groups of individuals, click on 'Create individuals' button in the top left corner (or press action key 'V'). Even during a model run, you can add new individuals. For example, you can observe how ecosystem without predators reacts to new carnivore species in the environment.

#### Before a model run
Before starting a model, don't forget to adjust other settings for your needs. If you want to see actual statistics during the whole run, choose higher 'stats-level'. If you want the model to run fast and see results of evolution, turn statistics down so the model will be faster (in this case, you should turn off 'view updates' in NetLogo and run the version of the model without plots). Feel free to turn off every data collection you don't need.

Also, you can choose population cap in 'Population control' section on the right. This is changeable during a model run, so you can always adjust desired simulation size/speed ratio.

#### Starting a model run
When environment and individuals are generated, you can start simulation by clicking on 'Run' (or pressing key 'W'). When the model is running, you can still change some settings in the first column on the right, but not all changes apply immediately, effects shows with a delay and something applies only to newly created individuals.

#### Stopping a model run
The model will run forever until user stops it or the number of individuals drops to zero. Output of the model can be (depending on 'stats-level' setting) the final most successful behavior model settings, (un)balance in the environment, the most successful attributes, observation of an emergence or behavior of a single individual, phylogenetic trees of species (use Phylogenetic Tree Viewer), etc.

### Author

Tomas Nachazel (2015)
tomas.nachazel@uhk.cz

Faculty of Informatics and Management
University of Hradec Králové
Czech Republic
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

campsite
false
0
Polygon -7500403 true true 150 11 30 221 270 221
Polygon -16777216 true false 151 90 92 221 212 221
Line -7500403 true 150 30 150 225

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270
@#$#@#$#@
NetLogo 6.0.2
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180
@#$#@#$#@
0
@#$#@#$#@
